org.apache.commons.jelly.tags.xml

## Class ForEachTag

- java.lang.Object
- - org.apache.commons.jelly.TagSupport
  - - org.apache.commons.jelly.xpath.XPathTagSupport
    - - org.apache.commons.jelly.tags.xml.ForEachTag

All Implemented Interfaces:
  Tag, XPathSource

    public class ForEachTag
    extends XPathTagSupport
    implements XPathSource

A tag which performs an iteration over the results of an XPath expression

Version:
  $Revision: 155420 $
Author:
  James Strachan

### Field Summary

### Fields inherited from class org.apache.commons.jelly.TagSupport

`body, context, parent`

### Constructor Summary

Constructors
Constructor and Description
`ForEachTag()`

### Method Summary

Methods
`void` `doTag(XMLOutput output)` Evaluates this tag after all the tags properties have been initialized.
`protected java.lang.Object` `getXPathContext()`
`java.lang.Object` `getXPathSource()`
`void` `setDescending(boolean descending)` Set whether to sort ascending or descending.
`void` `setSelect(org.jaxen.XPath select)` Sets the XPath selection expression
`void` `setSort(org.jaxen.XPath sortXPath)` Sets the xpath expression to use to sort selected nodes.
`void` `setVar(java.lang.String var)` Sets the variable name to export for the item being iterated over

### Methods inherited from class org.apache.commons.jelly.TagSupport

`findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, getBody, getBodyText, getBodyText, getContext, getParent, invokeBody, isEscapeText, isTrim, setBody, setContext, setEscapeText, setParent, setTrim, trimBody`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ForEachTag

    public ForEachTag()

### Method Detail

#### doTag

    public void doTag(XMLOutput output)
               throws JellyTagException

Description copied from interface: `Tag`
Evaluates this tag after all the tags properties have been initialized.

Specified by:
  `doTag` in interface `Tag`
Throws:
  `JellyTagException`

#### getXPathSource

    public java.lang.Object getXPathSource()

Specified by:
  `getXPathSource` in interface `XPathSource`
Returns:
  the current XPath iteration value so that any other XPath aware child tags to use

#### setSelect

    public void setSelect(org.jaxen.XPath select)

Sets the XPath selection expression

#### setVar

    public void setVar(java.lang.String var)

Sets the variable name to export for the item being iterated over

#### setSort

    public void setSort(org.jaxen.XPath sortXPath)
                 throws org.jaxen.JaxenException

Sets the xpath expression to use to sort selected nodes.

Throws:
  `org.jaxen.JaxenException`

#### setDescending

    public void setDescending(boolean descending)

Set whether to sort ascending or descending.

#### getXPathContext

    protected java.lang.Object getXPathContext()

Overrides:
  `getXPathContext` in class `XPathTagSupport`